function Confirm-CentralParameters {
    [CmdletBinding()]
    [OutputType([bool])]
    param (
        [Parameter(Mandatory = $true)][LSCentralParameters]$LSCentral
    )


    # Create hashtable of properties.
    $properties = @{
        'Placement' = $LSCentral.Placement
        'Companies' = $LSCentral.Companies
    }

    if ($LSCentral.Placement -eq 'On_Premises') {
        $properties += @{
            'Server name' = $LSCentral.Server.Name
            'Server login' = $LSCentral.Server.Credential.UserName
            'Server password' = "$('*'*$($LSCentral.Server.Credential.Password.Length))"
            'Database name' = $LSCentral.Database.Name
        }
    }

    # Display parameters.
    Write-Host # Newline.
    Write-Host "LS Central parameters:"
    Write-Host "$($properties.GetEnumerator() | Sort-Object -Property 'Name' | Format-Table | Out-String)"

    # Ask user to confirm.
    do {
        $answer = Read-Host -Prompt 'Is this correct? (y/n)'
    } while ($answer -inotin @('y','yes','n','no'))

    # Convert answer to boolean.
    return $answer -iin @('y','yes')
}